
QGIS Application - Bug report #18260

qgis 3 crashes at start

2018-02-28 09:34 AM - matthieu carlini

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:3.3(master) Regression?: No

Operating System: windows 7 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26151

Description

I have installed QGIS 3 on 2 windows 7 pro. On my professional laptop (dell latitude E7250) QGIS crashes systematicaly at startup.

I have tested install with QGIS 2.18 on the system, or without, after removing all preferences. The reload button make nothing.

User Feedback

Report Details

Crash ID: b06dc2da84bd293756294c5be15a42a454cc305b

Stack Trace

RtlFreeHeap :

SleepMon :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :
QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::lastVisibleItem :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Related to QGIS Application - Bug report # 19962: QGIS Crashes on Open Window Closed 2018-09-26

Related to QGIS Application - Bug report # 21730: QGIS crashes on "Open project" Feedback 2019-04-02

Duplicated by QGIS Application - Bug report # 18391: Crash on opening Closed 2018-03-08

Duplicated by QGIS Application - Bug report # 18794: QGIS 3.0.2 crash on startup Closed 2018-04-23

Duplicated by QGIS Application - Bug report # 19759: crash in browser Closed 2018-09-03

Duplicated by QGIS Application - Bug report # 18570: QGIS 3.0.1 crash on startup Closed 2018-03-26

Duplicated by QGIS Application - Bug report # 18616: Crash following install ... Closed 2018-04-03

Duplicated by QGIS Application - Bug report # 19181: Crash on Start Closed 2018-06-12

Duplicated by QGIS Application - Bug report # 19696: QGIS crashes upon launching Closed 2018-08-25

Duplicated by QGIS Application - Bug report # 19899: very unstable installati... Closed 2018-09-19

Duplicated by QGIS Application - Bug report # 19907: qgis 3.2 crashes at start Closed 2018-09-21

Duplicated by QGIS Application - Bug report # 18548: QGIS 3.0.1 crash on startup Closed 2018-03-26

Duplicated by QGIS Application - Bug report # 18427: Impossible d'ouvrir QGIS... Closed 2018-03-13

Duplicated by QGIS Application - Bug report # 19357: QGIS 3.2 Launching crashed Closed 2018-07-09

Duplicated by QGIS Application - Bug report # 18706: QGIS 3 refuses to load o... Closed 2018-04-10

Duplicated by QGIS Application - Bug report # 18654: QGIS 3.0.0 repeated cras... Closed 2018-04-06
Duplicated by QGIS Application - Bug report # 20030: Crashes every time I try... Closed 2018-10-05

Duplicated by QGIS Application - Bug report # 18505: Open OGR Supported Vecto... Closed 2018-03-21

Duplicated by QGIS Application - Bug report # 19922: screen freezes (qgis pro... Closed 2018-09-22

Duplicated by QGIS Application - Bug report # 19846: crash when saving projects Closed 2018-09-14

Duplicated by QGIS Application - Bug report # 18948: crash when selecting a path Closed 2018-05-13

Duplicated by QGIS Application - Bug report # 20356: QGIS 3.4 crashes right a... Closed 2018-11-04

Duplicated by QGIS Application - Bug report # 20498: Crash on loading a vecto... Closed 2018-11-15

Duplicated by QGIS Application - Bug report # 19629: Crash on New Shapefile L... Closed 2018-08-15

Duplicated by QGIS Application - Bug report # 20214: QGIS crashes when trying... Closed 2018-10-25

Duplicated by QGIS Application - Bug report # 20746: QGIS 3.4 is very unstabl... Closed 2018-12-06

Duplicated by QGIS Application - Bug report # 20787: QGIS 3.4.2 keeps crashin... Closed 2018-12-12

Duplicated by QGIS Application - Bug report # 20960: QGIS crash when i click ... Closed 2019-01-10

Associated revisions

Revision 4911d2e7 - 2018-09-23 09:54 PM - Jürgen Fischer

[BUGFIX][NEEDS-DOCS] add command line option to hide browser (refs #18260)

Revision 5508ea03 - 2018-10-01 08:19 AM - Nyall Dawson

Use a custom folder icon instead of O/S folder icon

...because using O/S folder icon can causes crashes.

Fixes #18260

History

#1 - 2018-02-28 10:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

#2 - 2018-03-05 11:53 AM - Thomas NOIROT

I have also the same problem. Here is my log :

Crash ID: 2da396b26f43211ca81fa880817113c91d7a7715

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :
CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :
BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: 001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#3 - 2018-03-06 08:11 AM - Stefan Wannemacher

We had the same problem (see #18306).

We use the QGIS from OSGeo4W and have to use a proxy with authentication for webaccess.

I edited the file bin/qgis.bat and added --noversioncheck at the last line (start "QGIS" /B "%OSGEO4W....." --noversioncheck %*

#4 - 2018-03-07 01:30 PM - matthieu carlini

I don't know if the problem is really the same. The installation of Qgis is the standalone in my case and i don't use proxy for webaccess. I've edited the line

in qgis.bat but it doesn't make any difference, qgis always crash on startup.

#5 - 2018-03-09 12:56 AM - Jürgen Fischer

- Duplicated by Bug report #18391: Crash on opening added

#6 - 2018-03-13 12:17 PM - Harrissou Santanna

- Related to Bug report #18427: Impossible d'ouvrir QGIS 3.0 added

#7 - 2018-03-13 02:03 PM - Charly Tristavirs

I tried to add the --noversioncheck at the last line of qgis.bat.

There is no difference stating QGIS 3.0.

The CRash ID changed Crash ID: 4e4ffc7725df85c6d291d1221e547bbb37eb3b64

Trying again, crash ID becomes : Crash ID: 2da396b26f43211ca81fa880817113c91d7a7715 like the first time.

I don't know if it's important

Thank u very much

2024-03-13 5/9



#8 - 2018-03-26 03:58 PM - matthieu carlini

bug always occurs in 3.0.1

User Feedback

Report Details

Crash ID: b06dc2da84bd293756294c5be15a42a454cc305b

Stack Trace

RtlFreeHeap :

SleepMon :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::lastVisibleItem :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :
QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#9 - 2018-04-19 07:20 AM - Harrissou Santanna

- Related to Bug report #18548: QGIS 3.0.1 crash on startup added

#10 - 2018-05-03 03:01 PM - Jürgen Fischer

- Duplicated by Bug report #18794: QGIS 3.0.2 crash on startup added

#11 - 2018-09-23 02:56 PM - Jürgen Fischer

- Duplicated by Bug report #19759: crash in browser added

#12 - 2018-09-23 02:58 PM - Jürgen Fischer

- Duplicated by Bug report #18570: QGIS 3.0.1 crash on startup added

#13 - 2018-09-23 02:59 PM - Jürgen Fischer

- Duplicated by Bug report #18616: Crash following install and QGIS 3.0.1 will not open added

#14 - 2018-09-23 03:44 PM - Jürgen Fischer

- Duplicated by Bug report #19181: Crash on Start added

#15 - 2018-09-23 03:45 PM - Jürgen Fischer

- Duplicated by Bug report #19696: QGIS crashes upon launching added

#16 - 2018-09-23 03:48 PM - Jürgen Fischer

- Duplicated by Bug report #19899: very unstable installation of QGIS 3.2.3 on Windows 7 Machine added

#17 - 2018-09-23 03:49 PM - Jürgen Fischer

- Duplicated by Bug report #19907: qgis 3.2 crashes at start added

#18 - 2018-09-23 09:59 PM - Jürgen Fischer

- Category changed from Build/Install to Browser

The backtrace suggests that this is related to the browser (widget).  I suspect that there are third party file types (maybe even a common one) with explorer

extensions (eg. for previews) on the affected machines, that are triggered by showing the browser widget.  Does the crash happen when the splash screen

shows "Restore window state"?

In commit:4911d2e74 I added a new command line option --hide-browser that should hide the browser, which is otherwise enabled by default and setting

this should enable the application to start.   Please check if specifying helps.
#19 - 2018-09-23 10:00 PM - Jürgen Fischer

- Related to deleted (Bug report #18548: QGIS 3.0.1 crash on startup)

#20 - 2018-09-23 10:00 PM - Jürgen Fischer

- Duplicated by Bug report #18548: QGIS 3.0.1 crash on startup added

#21 - 2018-09-23 10:01 PM - Jürgen Fischer

- Related to deleted (Bug report #18427: Impossible d'ouvrir QGIS 3.0)

#22 - 2018-09-23 10:01 PM - Jürgen Fischer

- Duplicated by Bug report #18427: Impossible d'ouvrir QGIS 3.0 added

#23 - 2018-09-23 10:03 PM - Jürgen Fischer

- Affected QGIS version changed from 3.0.0 to 3.3(master)

#24 - 2018-09-25 01:11 PM - Jürgen Fischer

- Duplicated by Bug report #19357: QGIS 3.2 Launching crashed added

#25 - 2018-09-25 01:20 PM - Jürgen Fischer

- Duplicated by Bug report #18706: QGIS 3 refuses to load on fresh OSGEO64 install on Windows 7 Pro added

#26 - 2018-09-25 01:24 PM - Jürgen Fischer

- Duplicated by Bug report #18654: QGIS 3.0.0 repeated crashing on opening added

#27 - 2018-09-26 10:59 PM - Jürgen Fischer

- Related to Bug report #19962: QGIS Crashes on Open Window added

#28 - 2018-09-26 11:01 PM - Jürgen Fischer

#19962 might be related and also has a recipe to disable explorer extensions.

#29 - 2018-10-01 08:19 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|5508ea036eea095adcb7bb0bda943dfd52a3cd66.

#30 - 2018-11-11 01:24 PM - Jürgen Fischer

- Duplicated by Bug report #20030: Crashes every time I try to save added

#31 - 2018-11-11 01:24 PM - Jürgen Fischer

- Related to Bug report #18505: Open OGR Supported Vector Datasets added

#32 - 2018-11-11 01:25 PM - Jürgen Fischer

- Related to deleted (Bug report #18505: Open OGR Supported Vector Datasets)

#33 - 2018-11-11 01:25 PM - Jürgen Fischer

- Duplicated by Bug report #18505: Open OGR Supported Vector Datasets added

#34 - 2018-11-11 01:41 PM - Jürgen Fischer
- Duplicated by Bug report #19922: screen freezes (qgis program crashes) added

#35 - 2018-11-11 01:41 PM - Jürgen Fischer

- Duplicated by Bug report #19846: crash when saving projects added

#36 - 2018-11-11 01:44 PM - Jürgen Fischer

- Duplicated by Bug report #18948: crash when selecting a path added

#37 - 2018-11-16 02:31 PM - Jürgen Fischer

- Duplicated by Bug report #20356: QGIS 3.4 crashes right after opening a windows explorer file picker window added

#38 - 2018-11-16 02:31 PM - Jürgen Fischer

- Duplicated by Bug report #20498: Crash on loading a vector layer added

#39 - 2018-11-16 02:32 PM - Jürgen Fischer

- Duplicated by Bug report #19629: Crash on New Shapefile Layer added

#40 - 2018-11-16 02:33 PM - Jürgen Fischer

- Duplicated by Bug report #20214: QGIS crashes when trying to load xml file for new svgs in style manager added

#41 - 2018-11-21 08:00 AM - Rion Lerm

Jürgen Fischer wrote:

The backtrace suggests that this is related to the browser (widget).  I suspect that there are third party file types (maybe even a common one) with

explorer extensions (eg. for previews) on the affected machines, that are triggered by showing the browser widget.  Does the crash happen when the

splash screen shows "Restore window state"?

In commit:4911d2e74 I added a new command line option --hide-browser that should hide the browser, which is otherwise enabled by default and

setting this should enable the application to start.   Please check if specifying helps.

Hi @Jürgen Fischer,

my QGIS 3.4 won't startup now with the "restoring window state" message displaying and Processing Toolbox partially showing.

#42 - 2018-12-07 04:26 PM - Jürgen Fischer

- Duplicated by Bug report #20746: QGIS 3.4 is very unstable on my Windows 10 laptop added

#43 - 2019-01-10 01:45 PM - Jürgen Fischer

- Duplicated by Bug report #20787: QGIS 3.4.2 keeps crashing in Windows 7 added

#44 - 2019-01-14 05:28 PM - Jürgen Fischer

- Duplicated by Bug report #20960: QGIS crash when i click on open or save icon or menu.  added

#45 - 2019-04-02 03:03 PM - Jürgen Fischer

- Related to Bug report #21730: QGIS crashes on "Open project" added
